StyleableIntegerProperty (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.css, class: StyleableIntegerProperty

Module javafx.graphics
Package javafx.css

# Class StyleableIntegerProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.IntegerExpression
javafx.beans.property.ReadOnlyIntegerProperty
javafx.beans.property.IntegerProperty
javafx.beans.property.IntegerPropertyBase
javafx.css.StyleableIntegerProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableIntegerProperty`

public abstract class StyleableIntegerProperty extends IntegerPropertyBase implements StyleableProperty<Number>
This class extends `IntegerPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `IntegerProperty`, that would otherwise be implemented as a `IntegerPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `IntegerPropertyBase`
  - `CssMetaData`
  - `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleableIntegerProperty()`
  The constructor of the `StyleableIntegerProperty`.
  `StyleableIntegerProperty(int initialValue)`
  The constructor of the `StyleableIntegerProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyStyle(StyleOrigin origin, Number v)`
  This method is called from CSS code to set the value of the property.
  `StyleOrigin`
  `getStyleOrigin()`
  Tells the origin of the value of the property.

  ### Methods declared in class javafx.beans.property.IntegerPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.IntegerProperty

  `asObject, bindBidirectional, integerProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

  `readOnlyIntegerProperty`

  ### Methods declared in class javafx.beans.binding.IntegerExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `getCssMetaData`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableIntegerProperty

    public StyleableIntegerProperty()
    The constructor of the `StyleableIntegerProperty`.

  - ### StyleableIntegerProperty

    public StyleableIntegerProperty(int initialValue)
    The constructor of the `StyleableIntegerProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle(StyleOrigin origin, Number v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Number>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Number>`
    Returns:
      the style origin